
QGIS Application - Bug report #20344

QGIS 3.4 Unable to load 'processing' plug-in due to an error calling your classFactory () method

2018-11-02 11:44 PM - Pedro Muñoz

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28165

Description

No se pudo cargar el complemento 'processing' debido a un error al llamar a su método classFactory()

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe1 in position 37: invalid continuation byte 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 335, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\__init__.py", line 37, in classFactory

    return ProcessingPlugin(iface)

  File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\ProcessingPlugin.py", line 178, in init

    Processing.initialize()

  File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 105, in initialize

    RenderingStyles.loadStyles()

  File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\gui\RenderingStyles.py", line 50, in loadStyles

    line = lines.readline().strip('\n')

  File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\codecs.py", line 322, in decode

    (result, consumed) = self._buffer_decode(data, self.errors, final)

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe1 in position 37: invalid continuation byte

Versión de Python: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

Versión de QGIS: 3.4.0-Madeira Madeira, 4a4b62ed19

Ruta de Python:

C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python

C:/Users/pjman/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/pjman/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.4\bin\python37.zip

C:\PROGRA~1\QGIS3~1.4\apps\Python37\DLLs

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib

C:\Program Files\QGIS 3.4\bin

C:\PROGRA~1\QGIS3~1.4\apps\Python37

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\Pythonwin

C:/Users/pjman/AppData/Roaming/QGIS/QGIS3\profiles\default/python

History
#1 - 2018-11-03 01:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

Try with a clean/new profile.

#2 - 2018-11-07 10:13 AM - Adrien VAN HAMME

Giovanni Manghi wrote:

Try with a clean/new profile.

Hi !

I noticed the same error w/ 3.4.0 and 3.4.1.

Could you explain what did you mean by "clean/new profile" ?

Thanks !

#3 - 2018-11-07 11:31 AM - Giovanni Manghi

Adrien VAN HAMME wrote:

Giovanni Manghi wrote:

Try with a clean/new profile.

Hi !

I noticed the same error w/ 3.4.0 and 3.4.1.

Could you explain what did you mean by "clean/new profile" ?

Thanks !

settings > user profiles > new profile

#4 - 2018-11-07 12:05 PM - Adrien VAN HAMME

Giovanni Manghi wrote:

settings > user profiles > new profile

Thanks. I created a new profile, then copy all of its content into the default profile directory and delete the new profile directory.

During the launching of QGIS, it asked me for import of QGIS2 settings but i answered no and i hadn't a processing error anymore.

Otherwise, if you don't want to play with profiles, there is an easy way to fix it : deactivate and reactivate (checkbox) the processing extension.

#5 - 2018-11-07 01:06 PM - Adrien VAN HAMME

I'm sorry but, after the cleaning of the default profile and a after a few clean lauchings with this profile, I have noticed the error again...
#6 - 2018-12-11 01:41 PM - Friede Goral

I have the same problem in version 3.4.2. with any plugin I want to load:

Konnte Erweiterung 'quick_map_services' nicht laden aufgrund eines Fehlers beim Aufruf der classFactory() Methode 

TypeError: 'QVariant' object is not subscriptable 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 335, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:/Users/fgoral/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\__init__.py", line 35, in classFactory

    return QuickMapServices(iface)

  File "C:/Users/fgoral/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\quick_map_services.py", line 72, in

__init__

    self.locale = Locale.get_locale()

  File "C:/Users/fgoral/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\plugin_locale.py", line 30, in get_locale

    return QSettings().value('locale/userLocale')[0:2]

TypeError: 'QVariant' object is not subscriptable

Python-Version: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

QGIS-Version: 3.4.2-Madeira Madeira, 22034aa070 

Python-Pfad:

C:/OSGEO4~1/apps/qgis/./python

C:/Users/fgoral/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/fgoral/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/OSGEO4~1/apps/qgis/./python/plugins

C:\OSGeo4W64\bin\python37.zip

C:\OSGEO4~1\apps\Python37\DLLs

C:\OSGEO4~1\apps\Python37\lib

C:\OSGeo4W64\bin

C:\OSGEO4~1\apps\Python37

C:\OSGEO4~1\apps\Python37\lib\site-packages

C:\OSGEO4~1\apps\Python37\lib\site-packages\win32

C:\OSGEO4~1\apps\Python37\lib\site-packages\win32\lib

C:\OSGEO4~1\apps\Python37\lib\site-packages\Pythonwin

#7 - 2019-01-30 03:08 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Closed

- Operating System deleted (WIN 10)

Works fine in master. Please reopen if necessary
